glibmm: Gio::SettingsSchemaKey Class Reference

glibmm 2.46.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::SettingsSchemaKey Class Referencefinal

See SettingsSchema. More...

`#include <giomm/settingsschemakey.h>`

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GSettingsSchemaKey* | gobj ()
| Provides access to the underlying C instance. More...
const GSettingsSchemaKey* | gobj () const
| Provides access to the underlying C instance. More...
GSettingsSchemaKey* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| SettingsSchemaKey ()=delete
| SettingsSchemaKey (const SettingsSchemaKey&)=delete
SettingsSchemaKey& | operator= (const SettingsSchemaKey&)=delete
Glib::ustring | get_name () const
| Gets the name of key. More...
Glib::ustring | get_summary () const
| Gets the summary for key. More...
Glib::ustring | get_description () const
| Gets the description for key. More...

## Protected Member Functions
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::SettingsSchemaKey > | wrap (GSettingsSchemaKey* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

See SettingsSchema.

Since glibmm 2.32:

## Constructor & Destructor Documentation

Gio::SettingsSchemaKey::SettingsSchemaKey | ( |  | ) |
| delete

Gio::SettingsSchemaKey::SettingsSchemaKey | ( | const SettingsSchemaKey& |  | ) |
| delete

## Member Function Documentation

Glib::ustring Gio::SettingsSchemaKey::get_description | ( |  | ) | const

Gets the description for key.

If no description has been provided in the schema for key, returns `0`.

The description can be one sentence to several paragraphs in length. Paragraphs are delimited with a double newline. Descriptions can be translated and the value returned from this function is is the current locale.

This function is slow. The summary and description information for the schemas is not stored in the compiled schema database so this function has to parse all of the source XML files in the schema directory.

Since glibmm 2.34:

Returns
  The description for key, or `0`.

Glib::ustring Gio::SettingsSchemaKey::get_name | ( |  | ) | const

Gets the name of key.

Since glibmm 2.44:

Returns
  The name of key.

Glib::ustring Gio::SettingsSchemaKey::get_summary | ( |  | ) | const

Gets the summary for key.

If no summary has been provided in the schema for key, returns `0`.

The summary is a short description of the purpose of the key; usually one short sentence. Summaries can be translated and the value returned from this function is is the current locale.

This function is slow. The summary and description information for the schemas is not stored in the compiled schema database so this function has to parse all of the source XML files in the schema directory.

Since glibmm 2.34:

Returns
  The summary for key, or `0`.

GSettingsSchemaKey* Gio::SettingsSchemaKey::gobj | ( |  | ) |

Provides access to the underlying C instance.

const GSettingsSchemaKey* Gio::SettingsSchemaKey::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GSettingsSchemaKey* Gio::SettingsSchemaKey::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gio::SettingsSchemaKey::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

SettingsSchemaKey& Gio::SettingsSchemaKey::operator= | ( | const SettingsSchemaKey& |  | ) |
| delete

void Gio::SettingsSchemaKey::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gio::SettingsSchemaKey::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::SettingsSchemaKey > wrap | ( | GSettingsSchemaKey * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.